### Enumeration

# Qmi WdsConnectionStatus

since: 1.0

#### Declaration

    enum Qmi.WdsConnectionStatus

#### Description [src]

Status of the network connection.

Available since: 1.0

#### Members

`QMI_WDS_CONNECTION_STATUS_UNKNOWN`

  Unknown status.

  - Value: `0`
  - Available since: 1.0
`QMI_WDS_CONNECTION_STATUS_DISCONNECTED`

  Network is disconnected.

  - Value: `1`
  - Available since: 1.0
`QMI_WDS_CONNECTION_STATUS_CONNECTED`

  Network is connected.

  - Value: `2`
  - Available since: 1.0
`QMI_WDS_CONNECTION_STATUS_SUSPENDED`

  Network connection is suspended.

  - Value: `3`
  - Available since: 1.0
`QMI_WDS_CONNECTION_STATUS_AUTHENTICATING`

  Network authentication is ongoing.

  - Value: `4`
  - Available since: 1.0

#### Type functions

###### qmi_wds_connection_status_get_string

Gets the nickname string for the `QmiWdsConnectionStatus` specified at `val`.

since: 1.0